# Calculate m_lambda for a given Q and lambda interval
findMlambda=function(Q,lambda_interval){
    p=nrow(Q)
    Q_quantity=rep(0,p)
    Qnew=abs(Q)
    for (i in 1:p){
        Qnew[i,]=sort(Qnew[i,],decreasing=T) # Sort each row from largest to smallest in absolute value
    }
    Q_quantity[1]=max(Qnew)
    for (i in 2:p){
        Q_quantity[i]=max(sqrt(rowSums(Qnew[,1:i]^2)))
    }   
    m_lambda=rep(0,length(lambda_interval))
    for (i in 1:length(lambda_interval)){
        m_lambda[i]=min((1:p)[Q_quantity>=lambda_interval[i]])
    }
    return(m_lambda)
}